test: _CONFIGURATION_INFORMATION struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CONFIGURATION_INFORMATION Struct Reference

`#include <io.h>`

List of all members.

## Public Attributes

ULONG | DiskCount
ULONG | FloppyCount
ULONG | CdRomCount
ULONG | TapeCount
ULONG | ScsiPortCount
ULONG | SerialCount
ULONG | ParallelCount
BOOLEAN | AtDiskPrimaryAddressClaimed
BOOLEAN | AtDiskSecondaryAddressClaimed
ULONG | Version
ULONG | MediumChangerCount

## Member Data Documentation

BOOLEAN _CONFIGURATION_INFORMATION::AtDiskPrimaryAddressClaimed

| Definition at line 2562 of file io.h.

BOOLEAN _CONFIGURATION_INFORMATION::AtDiskSecondaryAddressClaimed

| Definition at line 2563 of file io.h.

ULONG _CONFIGURATION_INFORMATION::CdRomCount

| Definition at line 2551 of file io.h. Referenced by NtQuerySystemInformation(), and xHalIoAssignDriveLetters().

ULONG _CONFIGURATION_INFORMATION::DiskCount

| Definition at line 2549 of file io.h. Referenced by IoGetBootDiskInformation(), IopCreateArcNames(), NtQuerySystemInformation(), and xHalIoAssignDriveLetters().

ULONG _CONFIGURATION_INFORMATION::FloppyCount

| Definition at line 2550 of file io.h. Referenced by NtQuerySystemInformation(), and xHalIoAssignDriveLetters().

ULONG _CONFIGURATION_INFORMATION::MediumChangerCount

| Definition at line 2578 of file io.h.

ULONG _CONFIGURATION_INFORMATION::ParallelCount

| Definition at line 2555 of file io.h. Referenced by NtQuerySystemInformation().

ULONG _CONFIGURATION_INFORMATION::ScsiPortCount

| Definition at line 2553 of file io.h.

ULONG _CONFIGURATION_INFORMATION::SerialCount

| Definition at line 2554 of file io.h. Referenced by NtQuerySystemInformation().

ULONG _CONFIGURATION_INFORMATION::TapeCount

| Definition at line 2552 of file io.h. Referenced by NtQuerySystemInformation().

ULONG _CONFIGURATION_INFORMATION::Version

| Definition at line 2570 of file io.h.

The documentation for this struct was generated from the following file:

- io.h